// DialogRec.cpp : 实现文件
//

#include "stdafx.h"
#include "Verbpo.h"
#include "DialogRec.h"
#include "afxdialogex.h"
#include "DialogTrendChart.h"

// CDialogRec 对话框

IMPLEMENT_DYNAMIC(CDialogRec, CDialogEx)

CDialogRec::CDialogRec(CWnd* pParent /*=NULL*/)
	: CDialogEx(CDialogRec::IDD, pParent)
{

}

CDialogRec::~CDialogRec()
{
}

void CDialogRec::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
}


BEGIN_MESSAGE_MAP(CDialogRec, CDialogEx)
	ON_WM_DESTROY()
	ON_BN_CLICKED(IDC_BUTTON_REC_TREND_CHART, &CDialogRec::OnBnClickedButtonRecTrendChart)
	ON_BN_CLICKED(IDOK, &CDialogRec::OnBnClickedOk)
	ON_BN_CLICKED(IDC_BUTTON_REC_ALM_REC, &CDialogRec::OnBnClickedButtonRecAlmRec)
	ON_BN_CLICKED(IDC_BUTTON_REC_DATA_REC, &CDialogRec::OnBnClickedButtonRecDataRec)
	ON_BN_CLICKED(IDC_BUTTON_REC_NIBP_REC, &CDialogRec::OnBnClickedButtonRecNibpRec)
	ON_BN_CLICKED(IDC_BUTTON_REC_SYS_REC2, &CDialogRec::OnBnClickedButtonRecSysRec2)
END_MESSAGE_MAP()


BOOL CDialogRec::OnInitDialog()
{
	CString a_cs;
	CDialogEx::OnInitDialog();



	return TRUE;  // return TRUE unless you set the focus to a control
	// 异常:  OCX 属性页应返回 FALSE
}

void CDialogRec::OnDestroy()
{
	CDialogEx::OnDestroy();

	// TODO:  在此处添加消息处理程序代码

}

// CDialogRec 消息处理程序


void CDialogRec::OnBnClickedButtonRecTrendChart()
{
	// TODO:  在此添加控件通知处理程序代码
	m_CDialogTrendChart.DoModal();
}


void CDialogRec::OnBnClickedOk()
{
	// TODO:  在此添加控件通知处理程序代码
	CDialogEx::OnOK();
}


void CDialogRec::OnBnClickedButtonRecAlmRec()
{
	// TODO:  在此添加控件通知处理程序代码
	m_CDialogAlmSearch.DoModal();
}


void CDialogRec::OnBnClickedButtonRecDataRec()
{
	// TODO:  在此添加控件通知处理程序代码
	m_CDialogDataRec.DoModal();
}


void CDialogRec::OnBnClickedButtonRecNibpRec()
{
	// TODO:  在此添加控件通知处理程序代码
	m_CDialogNIBPRec.DoModal();
}


void CDialogRec::OnBnClickedButtonRecSysRec2()
{
	// TODO:  在此添加控件通知处理程序代码
	m_CDialogSysRec.DoModal();
}
